import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/home',
    name: 'Home',
    component: () => import('../views/Home.vue'),
    children:[
      {
        path: '',
        name: 'EventList',
        component: () => import('../views/EventList.vue'),
        meta: {
          title: '事件'
        }
      },
      {
        path: '/message',
        name: 'Message',
        component: () => import('../views/Message.vue'),
        meta: {
          title: '消息'
        }
      },
      {
        path: '/statistics',
        name: 'Statistics',
        component: () => import('../views/Statistics.vue'),
        meta: {
          title: '统计'
        }
      }
    ]
  },
  {
    path: '/',
    name: 'Login',
    component: () => import('../views/Login.vue'),
    meta: {
      title: '登录'
    }   
  },
  {
    path: '/event-detail',
    name: 'EventDetail',
    component: () => import('../views/EventDetail.vue'),
    meta: {
      title: '事件详情'
    }   
  },
  {
    path: '/search',
    name: 'Search',
    component: () => import('../views/Search.vue'),
    meta: {
      title: '搜索'
    }   
  },
  {
    path: '/handle',
    name: 'Handle',
    component: () => import('../views/Handle.vue'),
    meta: {
      title: '处理'
    }   
  }
]

const router = new VueRouter({
  routes
})

export default router
