module.exports = {
  lintOnSave: false,
  publicPath: process.env.NODE_ENV === "production" ? "./" : "/",
  chainWebpack: (config) => {
      const svgRule = config.module.rule("svg");
      svgRule.uses.clear();
      svgRule
          .test(/\.svg$/)
          .use("svg-sprite-loader")
          .loader("svg-sprite-loader");
  },
  configureWebpack: {
    resolve: { extensions: [".ts", ".tsx", ".js", ".json"] },
    module: {
        rules: [
            {
                test: /\.ts?$/,
                loader: 'ts-loader',
                exclude: /node_modules/,
                options: {
                    appendTsSuffixTo: [/\.vue$/],
                }
            }
        ]
    }
},
  productionSourceMap: false,
  devServer: {
      proxy: {
          "/proxyApi": {
            //   target: 'http://192.168.10.12:18001/hmit-api',
              target: 'http://192.168.10.4:10024/',
              changeOrigin: true,
              pathRewrite: {
                  "^/proxyApi": "/",
              },
          }
      },
      port: 8080
  },
};